SourceID Docs
Nigeria

Bank Verification Number (BVN) with Face Verification

This endpoint allows you to verify the validity of a Bank Verification Number (BVN) along with a face biometric match.

Endpoint: POST {baseurl}/v1/api/verification/bvn-face


Request Body

ParameterTypeRequiredDescription
countrystringYesThe country code (e.g., "NGA" for Nigeria).
referencestringYesA unique reference for the verification request.
verificationLevelstringYesThe level of verification to perform (e.g., "basic", "extended").
bvnstringYesThe Bank Verification Number to verify.
imagestringYesA base64-encoded image string for face verification.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Sample Request

curl -X 'POST' \
  'https://api.sourceid.tech/v1/api/verification/bvn-face' \
  -H 'accept: application/json' \
  -H 'x-api-key: {API-KEY}' \
  -H 'Content-Type: application/json' \
  -d '{
  "country": "NGA",
  "reference": "01223334444fgqdv455555",
  "verificationLevel": "basic",
  "bvn": " ",
  "image": "base64_encoded_image_string",
  "customer": "6791457be570f7f292f1fe23",
  "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

    {
        "status": true,
        "responseCode": "00",
        "statusCode": "200",
        "message": "BVN with face verification successful",
        "data": {
            "firstName": "EMEKA ",
            "lastName": "MONYEI",
            "middleName": "FREDRICK",
            "dateOfBirth": "25-May-1989",
            "phoneNumber": "07039739651",
            "gender": "Male",
            "faceMatch": {
                "confidence": 1,
                "message": "Face Match"
            }
        },
        "meta": {
            "statusCode": "200",
            "isValid": true,
            "timeStamp": "Fri May 16 2025 14:09:35 GMT+0000 (Coordinated Universal Time)"
        }
    }

On this page